Bug 243722 - Applications using qt-mysql crash if database is removed before QApplication is destroyed
Applications using qt-mysql crash if database is removed before QApplication ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Patch
Depends On:
Blocks: 258301
  Show dependency treegraph
 
Reported: 2007-06-11 11:03 EDT by Jarod Wilson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 07:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qt3 mysql unload crash fix (1.12 KB, patch)
2007-06-11 11:07 EDT, Jarod Wilson
no flags Details | Diff

  None (edit)
Description Jarod Wilson 2007-06-11 11:03:46 EDT
Description of problem:
An application doing

    QSqlDatabase::removeDatabase(db);

before the QApplication instance is destroyed may result in the program crashing.

Upstream bug:
http://trolltech.com/developer/task-tracker/index_html?method=entry&id=154194

No patch available there, but SUSE's qt carries a patch for the problem, which
is available in their srpm, buildsystem, or from a list post here:

http://www.gossamer-threads.com/lists/engine?do=post_attachment;postatt_id=10590;list=mythtv

Version-Release number of selected component (if applicable):
qt-3.3.8-4.fc7
Comment 1 Jarod Wilson 2007-06-11 11:07:14 EDT
Created attachment 156722 [details]
qt3 mysql unload crash fix
Comment 2 Rex Dieter 2007-06-11 11:12:00 EDT
Thanks Jarod, have you confirmed the patch works as advertised?
Comment 3 Jarod Wilson 2007-06-11 11:20:53 EDT
Personally, no, not just yet, but it was brought to my attention by some of the
mythtv developers whom I completely trust, and has already been added on top of
qt 3.3.8 in a few other distros with the desired result of eliminating the
crash. Some further details:

http://svn.mythtv.org/trac/ticket/3595
http://www.gossamer-threads.com/lists/mythtv/dev/257269
Comment 4 Ngo Than 2007-06-14 07:54:19 EDT
i have backported the fix for #bz243722, it will be included in 
qt-3_3_8-5_fc7_1. I will push new qt in f7 update soon. Thanks for your 
report.
Comment 5 Gregorio Gervasio 2007-08-25 10:22:45 EDT
I believe that this bug has not been fixed in f7 yet (qt3)?  It looks like only
the fc6 fixes were released two months ago.
Comment 6 Ngo Than 2007-08-28 13:32:35 EDT
it's built long ago but i forgot to push it out :(
i'm now building it with the security fix and will push it out when the build 
is done. Thanks for remind.

Note You need to log in before you can comment on or make changes to this bug.